searchData={"items":[{"type":"module","title":"NLdoc.Logging.Logger","doc":"The Logger module provides a simple logging interface for the NLdoc applications.\nIt basically just aliases Logger, but also adds some metadata to each log message.\n\nAdditionally, it supports the following metadata keys:\n- `error`: An exception that occurred in the application. This will be forwarded to `Logger` as `crash_reason`\n  along with a stack trace of where the log method was called from.","ref":"NLdoc.Logging.Logger.html"},{"type":"module","title":"Configuration - NLdoc.Logging.Logger","doc":"Configure in `config/config.exs` the following:\n\n```exs\n# ...\n\nconfig :logger, :default_handler,\n  formatter: {LoggerJSON.Formatters.Elastic, metadata: {:all_except, [:application]}}\n\nconfig :logger, :console,\n  metadata: [\n    :error,\n    :labels,\n    :\"url.path\",\n    :\"event.action\",\n    # ...\n    :\"service.name\",\n    :\"service.version\",\n    :\"service.environment\",\n    # ...\n    :\"trace.id\"\n    # ... etc, to your own needs.\n  ]\n\n  # ...\n\n```","ref":"NLdoc.Logging.Logger.html#module-configuration"},{"type":"function","title":"NLdoc.Logging.Logger.alert/2","doc":"","ref":"NLdoc.Logging.Logger.html#alert/2"},{"type":"function","title":"NLdoc.Logging.Logger.critical/2","doc":"","ref":"NLdoc.Logging.Logger.html#critical/2"},{"type":"function","title":"NLdoc.Logging.Logger.debug/2","doc":"","ref":"NLdoc.Logging.Logger.html#debug/2"},{"type":"function","title":"NLdoc.Logging.Logger.emergency/2","doc":"","ref":"NLdoc.Logging.Logger.html#emergency/2"},{"type":"function","title":"NLdoc.Logging.Logger.error/2","doc":"","ref":"NLdoc.Logging.Logger.html#error/2"},{"type":"function","title":"NLdoc.Logging.Logger.flush/0","doc":"","ref":"NLdoc.Logging.Logger.html#flush/0"},{"type":"function","title":"NLdoc.Logging.Logger.get_stacktrace/0","doc":"Returns the stacktrace of the calling function.","ref":"NLdoc.Logging.Logger.html#get_stacktrace/0"},{"type":"function","title":"NLdoc.Logging.Logger.info/2","doc":"","ref":"NLdoc.Logging.Logger.html#info/2"},{"type":"function","title":"NLdoc.Logging.Logger.init/3","doc":"","ref":"NLdoc.Logging.Logger.html#init/3"},{"type":"function","title":"NLdoc.Logging.Logger.notice/2","doc":"","ref":"NLdoc.Logging.Logger.html#notice/2"},{"type":"type","title":"NLdoc.Logging.Logger.stacktrace/0","doc":"","ref":"NLdoc.Logging.Logger.html#t:stacktrace/0"},{"type":"function","title":"NLdoc.Logging.Logger.warning/2","doc":"","ref":"NLdoc.Logging.Logger.html#warning/2"},{"type":"extras","title":"NLdoc.Logging","doc":"# NLdoc.Logging\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - NLdoc.Logging","doc":"The package can be installed by adding `nldoc_logging` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nldoc_logging, \"~> 1.0.0\"}\n  ]\nend\n```\n\nDocumentation can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"CHANGELOG","doc":"## [1.0.1](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_logging/compare/1.0.0...1.0.1) (2025-01-23)","ref":"changelog.html"},{"type":"extras","title":"Bug Fixes - CHANGELOG","doc":"* formatting ([5cf29a8](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_logging/commit/5cf29a8b9009f48314559ad91dc0795598e3f6ae))\n\n# 1.0.0 (2025-01-23)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - CHANGELOG","doc":"* **NLD-586:** package name ([5154b11](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_logging/commit/5154b1140e4f2b2fd3d204025efed0459bae7aed))","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Features - CHANGELOG","doc":"* **NLD-586:** package logger ([708895d](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_logging/commit/708895da7ca240dbde4b88420a0e40d14f55394e))","ref":"changelog.html#features"}],"proglang":"elixir","producer":{"name":"ex_doc","version":"0.36.1"},"content_type":"text/markdown"}